import { EventEmitter } from '@angular/core';
import { DecimalPipe } from '@angular/common';
import { FormControl } from '@angular/forms';
import { ServerSideFieldModel } from '../../services/ServerSideFieldModel';
import { Observable } from 'rxjs/Observable';
import { I18nService } from '../.././services/system/locale/I18n';
import { BehaviorSubject } from 'rxjs/Rx';
import { LoggerService } from 'dotcms-js/dotcms-js';
import { GCircle } from '../../models/gcircle.model';
export declare class VisitorsLocationContainer {
    resources: I18nService;
    decimalPipe: DecimalPipe;
    private loggerService;
    componentInstance: ServerSideFieldModel;
    parameterValuesChange: EventEmitter<{
        name: string;
        value: string;
    }[]>;
    circle$: BehaviorSubject<GCircle>;
    apiKey: string;
    preferredUnit: string;
    lat: number;
    lng: number;
    radius: number;
    comparisonValue: string;
    comparisonControl: FormControl;
    comparisonOptions: {
        value: string;
        label: Observable<string>;
        icon: string;
    }[];
    fromLabel: string;
    private _rsrcCache;
    constructor(resources: I18nService, decimalPipe: DecimalPipe, loggerService: LoggerService);
    rsrc(subkey: string): Observable<string>;
    ngOnChanges(change: any): void;
    onComparisonChange(value: string): void;
    onUpdate(circle: GCircle): void;
}
