import { EventEmitter } from '@angular/core';
import { I18nService } from './services/system/locale/I18n';
import { ServerSideTypeModel } from './services/ServerSideFieldModel';
import { ActionModel } from './services/Rule';
import { RuleActionActionEvent } from './rule-engine.container';
import { LoggerService } from 'dotcms-js/dotcms-js';
export declare class RuleActionComponent {
    private _resources;
    private loggerService;
    action: ActionModel;
    index: number;
    actionTypePlaceholder: string;
    ruleActionTypes: {
        [key: string]: ServerSideTypeModel;
    };
    updateRuleActionType: EventEmitter<RuleActionActionEvent>;
    updateRuleActionParameter: EventEmitter<RuleActionActionEvent>;
    deleteRuleAction: EventEmitter<RuleActionActionEvent>;
    typeDropdown: any;
    constructor(_resources: I18nService, loggerService: LoggerService);
    ngOnChanges(change: any): void;
    onTypeChange(type: string): void;
    onParameterValueChange(event: {
        name: string;
        value: string;
    }): void;
    onDeleteRuleActionClicked(): void;
}
