import { EventEmitter } from '@angular/core';
import { ServerSideTypeModel } from './services/ServerSideFieldModel';
import { I18nService } from './services/system/locale/I18n';
import { ConditionModel } from './services/Rule';
import { LoggerService } from 'dotcms-js/dotcms-js';
export declare class ConditionComponent {
    private _resources;
    private loggerService;
    condition: ConditionModel;
    index: number;
    conditionTypes: {
        [key: string]: ServerSideTypeModel;
    };
    conditionTypePlaceholder: string;
    updateConditionType: EventEmitter<{
        type: string;
        payload: Payload;
    }>;
    updateConditionParameter: EventEmitter<{
        type: string;
        payload: Payload;
    }>;
    updateConditionOperator: EventEmitter<{
        type: string;
        payload: Payload;
    }>;
    deleteCondition: EventEmitter<{
        type: string;
        payload: {
            condition: ConditionModel;
        };
    }>;
    typeDropdown: any;
    constructor(_resources: I18nService, loggerService: LoggerService);
    ngOnChanges(change: any): void;
    onTypeChange(type: string): void;
    onParameterValuesChange(event: {
        name: string;
        value: string;
    }[]): void;
    onParameterValueChange(event: {
        name: string;
        value: string;
    }): void;
    toggleOperator(): void;
    onDeleteConditionClicked(): void;
}
export interface Payload {
    condition: ConditionModel;
    index?: number;
    name?: string;
    value: string;
}
