import { EventEmitter, OnChanges } from '@angular/core';
import { ServerSideTypeModel } from './services/ServerSideFieldModel';
import { I18nService } from './services/system/locale/I18n';
import { Observable } from 'rxjs/Observable';
import { ConditionActionEvent, ConditionGroupActionEvent } from './rule-engine.container';
import { ConditionGroupModel } from './services/Rule';
import { LoggerService } from 'dotcms-js/dotcms-js';
export declare class ConditionGroupComponent implements OnChanges {
    private loggerService;
    private static I8N_BASE;
    group: ConditionGroupModel;
    conditionTypePlaceholder: string;
    groupIndex: number;
    conditionTypes: {
        [key: string]: ServerSideTypeModel;
    };
    deleteConditionGroup: EventEmitter<ConditionGroupModel>;
    updateConditionGroupOperator: EventEmitter<ConditionGroupActionEvent>;
    createCondition: EventEmitter<ConditionActionEvent>;
    deleteCondition: EventEmitter<ConditionActionEvent>;
    updateConditionType: EventEmitter<ConditionActionEvent>;
    updateConditionParameter: EventEmitter<ConditionActionEvent>;
    updateConditionOperator: EventEmitter<ConditionActionEvent>;
    private resources;
    private _rsrcCache;
    constructor(resources: I18nService, loggerService: LoggerService);
    ngOnChanges(changes: any): void;
    rsrc(subkey: string): Observable<String>;
    onCreateCondition(): void;
    toggleGroupOperator(): void;
}
